.results-back-button {
    background-color: var(--brand-secondary);
    color: var(--white-color);
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    font-size: 1rem;
    margin-bottom: 1rem;
}

.results-back-button:hover {
    background-color: var(--button-primary-background-color-dark);
}

.results-editor-container {
    height: 500px;
}

.results-download-button,
.results-code-button {
    background-color: var(--brand-accent);
    color: var(--white-color);
    border: none;
    padding: 8px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 1.1em;
}

.results-download-button:hover,
.results-code-button:hover {
    opacity: 0.9;
}

.results-parent table {
    border-collapse: collapse;
    width: 100%;
    border: 1px solid #ddd;
}

.results-code-header {
    margin-top: 16px;
}

.results-results-parent table th:nth-child(2),
.results-results-parent table td:nth-child(2),
.results-results-parent table th:nth-child(3),
.results-results-parent table td:nth-child(3) {
    text-align: right;
}

.results-code-editor-styles {
    height: 50px !important;
    width: 90% !important;
    margin-left: 5%;
    margin-top: 0.5%;
    margin-bottom: 8px;
}

.results-reset-container-styles {
    display: block;
    width: 100%;
}

.results-reset-button-accent {
    float: right;
}

.results-inputs-container {
    display: flex;
    justify-content: space-evenly;
    margin: 10px;
}

.results-question-button {
    background-color: var(--brand-accent);
    color: var(--white-color);
    border: none;
    padding: 8px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 1.1em;
    margin-left: 10px;
}
